Bug 19279 - Getting build error in GooglePlayServices
Summary: Getting build error in GooglePlayServices
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Samples ()
Version: 4.12.0
Hardware: PC Mac OS
: High normal
Target Milestone: ---
Assignee: Ben O'Halloran
URL:
Depends on:
Blocks:
 
Reported: 2014-04-24 10:19 UTC by narayanp
Modified: 2014-07-08 16:59 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Attacheing project (2.56 MB, application/zip)
2014-06-16 02:04 UTC, narayanp
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description narayanp 2014-04-24 10:19:13 UTC
Steps to reproduce:
1. Open Android GooglePlayServices sample.
2. Follow README.
3. Build the project.

Actual Result: I have followed all steps mentioned in README. I have observed one more thing here, In GooglePlayService project there is a Docs folder which name starts in uppercase however in Android sdk there is docs folder which name starts in lower case. So there is Issue when I am copying docs folder in GooglePlayServices project because Docs folder already exists and it is not replacing it. To resolve this Issue I have Added existing folder (Right click on Docs->Add->Add Existing Folder) then chooses 'Assets' and 'reference' and then I have build it and I am getting build error  

Expected Result: GooglePlayServices should build successfully.

Supplement info:
Build error: https://gist.github.com/saurabh360/78b6f56b5b900bbdc73d
Build Output: https://gist.github.com/saurabh360/b4eedb3fcaf304cce2cb

Environment details:
All Mac
X.S 5.0 (Build 749)
Git revision: 4edec38a55200f50e1bb8657b120adb2e64f64c8
X.Android 4.12.4.10
Mono 3.4.0 ((no/585aa54)

Regression Status:
REGRESSION: This Issues was verified in Bug 12844
Comment 1 Peter Collins 2014-05-14 14:44:49 UTC
I'm unable to build google play services using the instructions in the readme:

> $(ANDROID_SDK)/tools/android update project -p .
> ant debug

update project fails with: Error: The project either has no target set or the target is invalid.
ant fails because build.xml does not exist

Atsushi, is this still expected to build correctly?
Comment 2 Peter Collins 2014-05-14 16:09:15 UTC
Better yet, can we just update this sample to use the GooglePlayService (froyo) component? I will update the sample to use the component if that is ok with you Atsushi.
Comment 3 Atsushi Eno 2014-05-15 00:25:43 UTC
I am fine with it. It's good to have this closer to whatever the component team has. Thanks Peter.
Comment 5 narayanp 2014-05-22 09:12:39 UTC
I have checked this issue with latest Android sample "GooglePlayServices". I have observed that when I am opening this sample in XS, Only GooglePlayServicesTest appears in Solution. I have added GooglePlayServicesFroyo in component then I have build project. It is giving me 6 build errors: https://gist.github.com/saurabh360/a4c82fadc0039eec4fca

Please look into it and let me know have I missed anything here?
Comment 6 Atsushi Eno 2014-06-05 23:08:19 UTC
The missing types are from Xamarin.Android.Support.V4.dll. How does the Reference for that assembly look like in your GooglePlayServicesTest project? I believe it is added as part of GooglePlayServicesFroyoLib.dll.

I built it without problem on XA 4.12.4 but might fail with later dev. versions.
Comment 8 narayanp 2014-06-16 02:03:05 UTC
I have tried this with both staging and production environment and I am getting same 6 build errors.

Build Output: https://gist.github.com/saurabh360/9dc62b9f9a883c4ce194

=== Xamarin Studio ===

Version 5.1 (build 462)
Installation UUID: 2591d519-875d-4afe-a3d9-5fcf391bbd2d
Runtime:
	Mono 3.6.0 ((no/f6ef3e7)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 306000000

=== Apple Developer Tools ===

Xcode 4.6.3 (2068)
Build 4H1503

=== Xamarin.iOS ===

Version: 7.2.6.3 (Starter Edition)
Hash: 8070484
Branch: 
Build date: 2014-06-12 05:06:44-0400

=== Xamarin.Android ===

Version: 4.14.0 (Starter Edition)
Android SDK: /Users/nischal/Desktop/android-sdk-macosx
	Supported Android versions:
		2.1   (API level 7)
		2.2   (API level 8)
		2.3   (API level 10)
		3.1   (API level 12)
		3.2   (API level 13)
		4.0   (API level 14)
		4.0.3 (API level 15)
		4.1   (API level 16)
		4.2   (API level 17)
		4.3   (API level 18)
		4.4   (API level 19)
Java SDK: /usr
java version "1.6.0_35"
Java(TM) SE Runtime Environment (build 1.6.0_35-b10-428-11M3811)
Java HotSpot(TM) 64-Bit Server VM (build 20.10-b01-428, mixed mode)

=== Xamarin.Mac ===

Version: 1.8.0.8

=== Build Information ===

Release ID: 501000462
Git revision: b10ce21781bf0fcf528343fc5360198532b5e98c
Build date: 2014-06-12 15:34:39-04
Xamarin addins: 328061aea1cc3bbc194d2dde593ddaee613e7b41

=== Operating System ===

Mac OS X 10.7.4
Darwin nischals-Mac-mini.local 11.4.0 Darwin Kernel Version 11.4.0
    Mon Apr  9 19:32:15 PDT 2012
    root:xnu-1699.26.8~1/RELEASE_X86_64 x86_64
Comment 9 narayanp 2014-06-16 02:04:25 UTC
Created attachment 7079 [details]
Attacheing project

I also attached my project
Comment 10 Atsushi Eno 2014-06-25 05:20:18 UTC
As I earlier mentioned on comment #6, those missing types are from support.v4.dll. GooglePlayServicesFroyo seems to explicitly reference Mono.Android.Support.v4.dll, so it must be also referenced in your project. Or the component store and IDE support must have "dependency resolution" functionality.

(resetting assignee to default.)
Comment 11 Ben O'Halloran 2014-06-27 16:09:13 UTC
Starting from the attachment 7079 [details] when I add in Google Play Services (Froyo) version 12.0.3, I can build and successfully launch the project. When I use version GPS (Froyo) version 7, I get the same 6 build errors.
What version of the GPS are you using?
Environment:
Xamarin Studio: Version 5.0.1 (build 3)
Xamarin.Android: Version: 4.12.5 (Trial Edition)
Comment 12 Saurabh 2014-06-30 04:07:18 UTC
I have also observed that with component GooglePlayServices(Froyo) version 12.0.3 application working fine However, with version 7 I am getting 6 build errors.
XS 5.1 (build 479)
Git revision: e5a428cec75d4cc7e6e3ccd8192a3660d013e7dc
X.Android 4.12.5-2
Comment 13 PJ 2014-07-08 16:59:59 UTC
Use the production version of the component only. 12.0.3 is the stable version, 7 is very old.

I know the situation with the staging component store is not ideal, but we'll have to work around it for now.

RESOLVING as FIXED because the issue is fixed in the latest version of the component.